Anonymous Login
2018-12-15 13:34 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001980OpenClonkObjectspublic2018-01-19 16:17
ReporterLuchs 
Assigned ToZapper 
PrioritynormalSeverityminorReproducibilitysometimes
StatusresolvedResolutionfixed 
Product Versiongit master 
Target Version8.0Fixed in Version8.0 
Summary0001980: Turning buildings sometimes doesn't work
DescriptionWhen building something, you can turn the wireframe with Space. However, the finished building sometimes ends up in the original position instead.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0006072

Clonkonaut (developer)

Which buildings are affected? Or is it random?

~0006077

Luchs (administrator)

It happened with the foundry in our previous game, but I think I've also seen it happen with the sawmill.

~0006082

Zapper (developer)

Fixed in https://git.openclonk.org/openclonk.git/commit/fda3eecd840bad11c19e87b670eed12f12e854e8

As I can see it, the problem affected the foundry, steam engine and pump. Foundry is not correctly flippable, rest isn't (not even in the preview).
+Notes

-Issue History
Date Modified Username Field Change
2018-01-16 22:14 Luchs New Issue
2018-01-16 22:23 Clonkonaut Note Added: 0006072
2018-01-16 23:11 Luchs Note Added: 0006077
2018-01-19 15:45 Zapper Assigned To => Zapper
2018-01-19 15:45 Zapper Status new => assigned
2018-01-19 16:17 Zapper Status assigned => resolved
2018-01-19 16:17 Zapper Resolution open => fixed
2018-01-19 16:17 Zapper Fixed in Version => 8.0
2018-01-19 16:17 Zapper Note Added: 0006082
+Issue History